restic backup(1)

NAME

restic-autocomplete - Generate shell autocompletion script

SYNOPSIS

restic autocomplete [flags]

DESCRIPTION

The "autocomplete" command generates a shell autocompletion script.

NOTE: The current version supports Bash only.
      This should work for *nix systems with Bash installed.

By default, the file is written directly to /etc/bash_completion.d for convenience, and the command may need superuser rights, e.g.:

$ sudo restic autocomplete

OPTIONS

--completionfile="/usr/share/bash-completion/completions/restic"
    autocompletion file

-h, --help[=false]
    help for autocomplete

OPTIONS INHERITED FROM PARENT COMMANDS

--json[=false]
    set output mode to JSON for commands that support it

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic(1)